./math/py-numpy16, Array processing for numbers, strings, records, and objects

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.16.6nb1, Package name: py27-numpy-1.16.6nb1, Maintainer: pkgsrc-users

NumPy is a general-purpose array-processing package designed to
efficiently manipulate large multi-dimensional arrays of arbitrary
records without sacrificing too much speed for small multi-dimensional
arrays. NumPy is built on the Numeric code base and adds features
introduced by numarray as well as an extended C-API and the ability to
create arrays of arbitrary type.

There are also basic facilities for discrete fourier transform,
basic linear algebra and random number generation.

This is an old version that still supports Python 2.7, kept because it
is required dependency of other packages that still require Python 2.7.


Required to run:
[math/lapack] [math/blas] [devel/py-setuptools] [devel/py-cython] [lang/python27] [lang/gcc7]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 99bc8b723639066168cca0c9a3b68c36c73bddc2
RMD160: af2c5ec5956986b061a5cf067de5685098b6846f
Filesize: 5022.793 KB

Version history: (Expand)


CVS history: (Expand)


   2020-10-13 10:27:02 by Leonardo Taccari | Files touched by this commit (2) | Package updated
Log message:
py-numpy*: Update checksum for patch-numpy_distutils_system__info.py

Part of interchangeable BLAS system change.
   2020-10-12 23:52:05 by Jason Bacon | Files touched by this commit (87) | Package updated
Log message:
math/blas, math/lapack: Install interchangeable BLAS system

Install the new interchangeable BLAS system created by Thomas Orgis,
currently supporting Netlib BLAS/LAPACK, OpenBLAS, cblas, lapacke, and
Apple's Accelerate.framework.  This system allows the user to select any
BLAS implementation without modifying packages or using package options, by
setting PKGSRC_BLAS_TYPES in mk.conf. See mk/blas.buildlink3.mk for details.

This commit should not alter behavior of existing packages as the system
defaults to Netlib BLAS/LAPACK, which until now has been the only supported
implementation.

Details:

Add new mk/blas.buildlink3.mk for inclusion in dependent packages
Install compatible Netlib math/blas and math/lapack packages
Update math/blas and math/lapack MAINTAINER approved by adam@
OpenBLAS, cblas, and lapacke will follow in separate commits
Update direct dependents to use mk/blas.buildlink3.mk
Perform recursive revbump
   2020-08-05 15:47:43 by Joerg Sonnenberger | Files touched by this commit (1)
Log message:
Tyops
   2020-07-09 02:47:40 by Greg Troxel | Files touched by this commit (1) | Package updated
Log message:
math/py-numpy16: Restrict to python 2.7

This package only exists to accomodate programs (e.g. gnuradio) which
have not yet updated to python3.  Therefore, only allow numpy16 for
python2.7.  (I believe there are zero py37-numpy16 users, and if so, that
should be discussed to understand why.)
   2020-06-25 21:00:37 by Leonardo Taccari | Files touched by this commit (1)
Log message:
py-numpy16: Fix typos in DESCR
   2020-06-25 20:37:28 by Greg Troxel | Files touched by this commit (1)
Log message:
py-numpy16: Explain in DESCR why this exists
   2020-05-17 20:57:26 by Adam Ciarcinski | Files touched by this commit (4)
Log message:
pytest from versioned depends
   2020-04-29 06:30:59 by Makoto Fujiwara | Files touched by this commit (1)
Log message:
(math/py-numpy16) Add missing distinfo (right ?)